<?php
setlocale(LC_ALL, 'ru_RU.UTF-8');

if ($notification->readed == 0) {print '<b>';}

switch ($notification->type) {
	case Notifications::typePointConfirmed:
		print strftime('%d %b %H:%M', $notification->date).' — Ваша точка <a href="/point/'.$notification->objectId.'">"'.$notification->RefPoint->name.'"</a> прошла модерацию.';
		break;
	case Notifications::typePointDeleted:
		print strftime('%d %b %H:%M', $notification->date).' — Ваша точка <a href="/point/'.$notification->objectId.'">"'.$notification->RefPoint->name.'"</a> ОТКЛОНЕНА модератором.';
		break;
	case Notifications::typeNewCommentPoint:
		$comment = $notification->RefComment;
		if ($comment) {
			$point = Point::model()->getByPK($comment->parentId);
			print strftime('%d %b %H:%M', $notification->date).' — Новый <a href="/point/'.$point->id.'#comment'.$comment->id.'">комментарий</a> к точке <a href="/point/'.$point->id.'">"'.$point->name.'"</a>.';
		}
		break;
	case Notifications::typeNewCommentArticle:
		$comment = $notification->RefComment;
		if ($comment) {
			$article = Article::model()->getByPK($comment->parentId);
			print strftime('%d %b %H:%M', $notification->date).' — Новый <a href="/article/'.$article->id.'#comment'.$comment->id.'">комментарий</a> к статье <a href="/article/'.$article->id.'">"'.$article->title.'"</a>.';
		}
		break;
	case Notifications::typeReply:
		$comment = $notification->RefComment;
		if ($comment) {
			print strftime('%d %b %H:%M', $notification->date).' — '.$comment->RefUser->nick.' <a href="/'.$comment->parentType.'/'.$comment->parentId.'#comment'.$comment->id.'">ответил(-а)</a> на ваш комментарий.';
		}
		break;
	case Notifications::typePointLike:
		print strftime('%d %b %H:%M', $notification->date).' — <a href="/user/'.$notification->fromUserId.'">'.$notification->RefFromUser->nick.'</a> нравится ваша точка  <a href="/point/'.$notification->objectId.'">'.$notification->RefPoint->name.'</a>.';
		break;
	case Notifications::typePointFav:
		print strftime('%d %b %H:%M', $notification->date).' — <a href="/user/'.$notification->fromUserId.'">'.$notification->RefFromUser->nick.'</a> добавил(-а) вашу точку  <a href="/point/'.$notification->objectId.'">'.$notification->RefPoint->name.'</a> в избранное.';
		break;
	default:
		break;
}

if ($notification->readed == 0) {print '</b>';}
